using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;


namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioCegTipos
    {

        public IList<entidadeCegTipos> Select(entidadeCegTipos objCegTipos)
        {
            dalCegTipos dalCegTipos = null;

            var lstCegTipos = new List<entidadeCegTipos>();
            DataTable dt = null;

            try
            {
                dalCegTipos = new dalCegTipos();
                dt = dalCegTipos.Select(objCegTipos);

                foreach (DataRow dr in dt.Rows)
                {
                    objCegTipos = new entidadeCegTipos();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objCegTipos.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objCegTipos.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objCegTipos.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["ATIVO"]))
                        objCegTipos.ATIVO = Convert.ToBoolean(dr["ATIVO"]);


                    lstCegTipos.Add(objCegTipos);
                }
                return lstCegTipos;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
